
Katello - Bug #5954

Tooltip for puppet module shows up a spinner and Firebug shows error

05/27/2014 05:05 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee:    

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1082634 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1082634

Description of problem:

Browsing a puppet module in the Search page shows me an empty tooltip + spinner and Firebug shows:

TypeError: data is undefined

Browsing regular RPMs worked fine

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.7-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.7-1.el6_5.noarch

candlepin-tomcat6-0.9.7-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.5.0.13-1.el6sat.git.0.8bc20ed.noarch

foreman-compute-1.5.0.13-1.el6sat.git.0.8bc20ed.noarch

foreman-libvirt-1.5.0.13-1.el6sat.git.0.8bc20ed.noarch

foreman-postgresql-1.5.0.13-1.el6sat.git.0.8bc20ed.noarch

foreman-proxy-1.5.4-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

katello-1.5.0-19.el6sat.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.31-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

rubygem-hammer_cli-0.1.0-4.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.0-5.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch
rubygem-hammer_cli_katello-0.0.3-11.el6sat.noarch

How reproducible:

Steps to Reproduce:

1. Create a custom product/repo and manually import the provided puppet module

2. Go to Search page and filter by Puppet Modules

3. Mouse over the name of the puppet module

Actual results:

Empty tooltip and spinner

Expected results:

Additional info:

Associated revisions

Revision 363b0ef3 - 05/28/2014 01:47 PM - Brad Buckingham

fixes #5954 - content search - fix puppet module details

Revision cccd574f - 05/28/2014 04:31 PM - Brad Buckingham

Merge pull request #4162 from bbuckingham/issue-5954

fixes #5954 - content search - fix puppet module details

History

#1 - 05/27/2014 05:06 PM - Brad Buckingham

- Triaged set to Yes

#2 - 05/28/2014 04:52 PM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:363b0ef3e5d160c69a85691886277295237af6ff.

#3 - 08/22/2014 08:27 AM - Eric Helms

- translation missing: en.field_release set to 13
